@charset "utf-8";

html,
body,
div,
span,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
abbr,
address,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
samp,
small,
strong,
sub,
sup,
var,
a,
b,
i,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
input,
button,
select,
textarea,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
main,
section,
summary,
time,
mark,
audio,
video {
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-family: var(--font-family);
    font-size: 100%;
    font-weight: normal;
    vertical-align: baseline;
    background: transparent;
    box-sizing: border-box;
    list-style-type: none;
    -webkit-appearance: none;
    appearance: none;
}

ul li {
    list-style-type: square;
}

ol li {
    list-style-type: decimal;
}

label,
a,
.a-link,
button,
input[type="radio"],
input[type="checkbox"],
input[type="file"],
select{
    cursor: pointer;
}

select{
    color: var(--font-color);
}
/****************************************************
*                    disp-pc,sp                     *
*****************************************************/

.disp-pc {
    display: block;
}

.disp-sp {
    display: none;
}

@media (max-width: 767px) {
    .disp-pc {
        display: none;
    }

    .disp-sp {
        display: block;
    }
}

/****************************************************
*               body, header, footer                *
*****************************************************/

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: var(--font-family);
    font-size: var(--font-base-size);
    line-height: 1.5;
    box-sizing: var(--box-sizing);
    margin: 0;
    color: var(--font-color);
}

header .header-logo {
    width: var(--width-content-pc);
    margin: 0 auto;
    padding: 10px;
}

header .header-title {
    width: var(--width-100-pct);
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-white);
    background-color: var(--color-dark-gray);
}

header .header-title .header-title-logo {
    display: flex;
    flex-direction: column;
    padding: 35px;
}

header .header-title .header-title-logo img {
    max-width: 450px;
    image-rendering: -webkit-optimize-contrast;
}

footer {
    margin: auto 0 0 0;
}

footer .main-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--color-white);
    background-color: var(--color-dark-gray);

}

footer .main-footer .footer-logo {
    width: calc(var(--width-100-pct) * 0.5);
    display: flex;
    align-items: flex-end;
    flex-direction: column;
}

footer .main-footer .footer-logo .footer-logo-box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer .main-footer .footer-logo img {
    width: 300px;

}

footer .main-footer .footer-inquiry {
    width: calc(var(--width-100-pct) * 0.5);
    margin: 10px 0 10px 30px;
}

footer .main-footer .footer-inquiry .footer-inquiry-title {
    font-size: var(--font-base-size);
    font-weight: bold;
}

footer .main-footer .footer-inquiry .footer-inquiry-text {
    font-size: var(--font-small-size);
    margin: 5px 0;
}

footer .main-footer .footer-inquiry .footer-inquiry-text a {
    color: var(--color-white);
}

footer .footer-copyright {
    background-color: var(--color-blue-gray);
    margin: 0;
    padding: 10px;
    text-align: center;
    font-size: var(--font-small-size);
}

@media (max-width: 767px) {
    header .header-logo {
        width: var(--width-100-pct);
    }
    
    header .header-title .header-title-logo {
        padding: 20px;
    }

    header .header-title img {
        width: var(--width-100-pct);
    }

    footer .main-footer {
        display: block;
        padding: 20px;
    }

    footer .main-footer .footer-logo {
        width: var(--width-100-pct);
        align-items: center;
        flex-direction: column;
    }

    footer .main-footer .footer-logo img {
        width: calc(var(--width-100-pct) * 0.7);
    }

    footer .main-footer .footer-inquiry {
        width: var(--width-100-pct);
        margin: 10px 0 0 0;
        text-align: center;
    }

    footer .main-footer .footer-inquiry .footer-inquiry-text {
        margin: 5px 0 0 0;
    }
}

/****************************************************
*                        main                       *
*****************************************************/
main {
    width: var(--width-content-pc);
    margin: 10px auto 50px;
}

main .user-assistive {
    display: flex;
    justify-content: space-between;
}

main .user-assistive .language-select{
    border: none;
    cursor: pointer;
}

main .user-assistive .user-assistive-area .rogout{
    display:flex;
    align-items: center;
}

main .user-assistive .user-assistive-area .rogout .rogout-icon{
    margin:0 5px;
}

main .user-assistive .user-assistive-area .rogout .rogout-icon svg {
    width: 20px;
    height: 20px;
    fill: var(--color-black);
    vertical-align: bottom;
}

main .navbar {
    display: flex;
    justify-content: center;
    margin: 10px 0 30px;
    font-size: var(--font-small-size);
}

main .nav-parts {
    width: 30%;
}

main .nav-parts:not(:last-child) {
    border-right: var(--border-base-width) var(--border-base-style) var(--color-gray);
}

main .nav-parts a {
    display: flex;
justify-content: center;
align-items: center;
}

main .nav-parts .nav-img-area .nav-img {
    width: 35px;
    height: 35px;
    margin-right: 5px;
}

main .page-title h1 {
    font-size: var(--font-title-size-pc);
    font-weight: bold;
    text-align: center;
    margin: 30px 0 30px 0;
}

main .entry-flow {
    margin: 30px auto;
    padding: 0 30px;
}

main .entry-flow ul {
    /* counter-reset: count 0; */
    display: flex;
    justify-content: space-between;
    position: relative;
}

main .entry-flow ul::before {
    display: block;
    position: absolute;
    top: 20px;
    left: 50%;
    content: "";
    /* width: 100%; */
    width: calc(100% - 50px);
    height: 1px;
    background-color: var(--color-gray);
    transform: translateX(-50%);
}

main .entry-flow li {
    position: relative;
    display: flex;
    padding: 50px 0 0 0;
    margin-top: 0;
    padding-left: 0;
    color: var(--color-gray);
    font-size: var(--font-small-size);
    font-weight: bold;
    text-align: center;
    line-height: 1.25;
}

main .entry-flow li::before {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    top: 0;
    left: 50%;
    width: 40px;
    height: 40px;
    background-color: var(--base-color);
    /* border-radius: var(--border-section-radius); */
    font-size: var(--font-large-size);
    font-weight: bold;
    transform: translateX(-50%);
    /* counter-increment: count 1;
    content: counter(count) ""; */
}

main .entry-flow li:nth-child(1)::before {
    content: "1";
}

main .entry-flow li:nth-child(2)::before {
    content: "2";
}

main .entry-flow li:nth-child(3)::before {
    content: "3";
}

main .entry-flow li:nth-child(4)::before {
    content: "4";
}

main .entry-flow li:nth-child(5)::before {
    content: "5";
}

main .entry-flow li.is-current {
    color: var(--main-color);
}

main .entry-flow li.is-current::before {
    color: var(--color-white);
    background-color: var(--main-color);
}

main .container .section:not(:last-child) {
    margin-bottom: 15px;
}

main .container .container-lead-text p {
    margin: 10px 0;
}

main .container .container-info-box{
    padding: 15px;
    color: var(--accent-color);
    border: var(--border-base-width) var(--border-base-style) var(--accent-color);
    text-align: center;
}

main .container .container-support-text {
    font-size: var(--font-small-size);
}

main .container .container-support-text p {
    font-weight: bold;
}

main .container .container-support-text ul {
    padding: 0 0 0 15px;
}

main .container .container-form .container-title h2 {
    margin: 15px 0;
    padding: 5px;
    font-size: var(--font-large-size);
    font-weight: bold;
    color: var(--color-white);
    background-color: var(--main-color);
    text-align: center;

}

main .container .container-form .container-form-title h2 {
    margin: 15px 0 0;
    /* border-radius: var(--border-section-radius); */
    /* border-left: 5px double var(--color-black); */
}

main .container .container-form .container-form-input-area {
    padding: 30px 15px;
    background-color: var(--base-color);
    border: var(--border-base-width) var(--border-base-style) var(--base-color);
    /* border-radius: var(--border-section-radius); */
}

main .container .container-form .container-form-input-area .item-box:not(:last-child) {
    margin: 0 0 15px 0;
}

main .container .container-form .container-top-area:not(:last-child) {
    margin: 0 0 15px 0;
}

main .container .container-form .container-top-area {
    display: flex;
    padding: 0 15px;
    /* background-color: var(--base-color); */
    border: var(--border-base-width) var(--border-base-style) var(--color-gray);
    /* border-radius: var(--border-section-radius); */
    justify-content: space-between;
    align-items: center;
}

main .container .container-form .container-top-area .item-box {
    padding: 15px 30px 15px 0;
    width: 640px;
}

main .container .container-form .container-form-input-area .item-box .item-name {
    font-weight: bold;
    margin: 0 0 3px 0;
}

main .container .container-form .container-form-input-area .item-box .item-input {
    display: flex;
    align-items: flex-end;
}

main .container .container-form .container-form-input-area .item-box .item-input .input-inner:not(:last-child) {
    margin: 0 5px 0 0;
}

main .container .container-form .container-form-input-area .item-box .item-input .input-inner {
    width: var(--width-100-pct);
}


main .container .container-form .container-form-btn-area {
    margin: 30px 0 15px 0;
}

main .container .container-form .container-top-area .item-text {
    margin: 0 0 15px;
}

main .container .container-form .item-text-title {
    margin: 0 15px 0 0;
    font-size: var(--font-large-size);
    font-weight: bold;
}

main .container .container-form .item-text-lead-text{
    margin: 0 15px 0 0;
}

main .container .container-form .item-text-content {
    height: 160px;
    padding: 15px;
    background-color: var(--color-white);
    border: var(--border-base-width) var(--border-base-style) var(--color-gray);
    border-radius: var(--border-input-radius);
    overflow-y: scroll;
}

main .container .container-form .container-top-area .item-text-lead-text ul{
    padding: 0 0 0 30px;
}

main .container .container-link {
    text-align: center;

}

@media (max-width: 767px) {
    main {
        width: var(--width-100-pct);
    }

    main .user-assistive {
        margin: 0 5px;
    }

    main .navbar{
        flex-direction: column;
        margin: 0 10px 30px;
        padding: 5px 0;
    }

    main .nav-parts {
        width: 100%;
        padding: 10px 0;
        border-bottom: var(--border-base-width) var(--border-base-style) var(--color-gray);
    }

    main .nav-parts:not(:last-child) {
        border-right:none;
    }

    main .nav-parts:first-child {
        border-top: var(--border-base-width) var(--border-base-style) var(--color-gray);
    }

    main .container .container-support-text p,main .container .container-support-text ul{
        margin:0 5px;
    }

    main .page-title h1 {
        font-size: var(--font-title-size-sp);
    }

    main .container .section{
        margin: 0 5px;
    }

    main .container .container-lead-text p {
        margin: 10px 5px;
    }

        main .container .container-form .container-top-area {
        display:block;
    }

    main .container .container-form .container-top-area .item-box {
        display: block;
        width: var(--width-100-pct);
        padding: 15px 0;
    }

    main .container .container-form .item-text-title{
        margin: 0;
    }

    main .container .container-form .item-text-lead-text{
        margin: 0;
    }

    main .container .container-form .container-form-input-area .item-box .item-input {
        display: block;
    }
    
    main .container .container-form .container-form-input-area .item-box .item-input .input-inner:not(:last-child) {
        margin: 0 0 0 0;
    }
    
}

/****************************************************
*                     payment                       *
*****************************************************/
main .container .container-form .payment-input-area .item-box .item-input .input-inner{
    width:auto;
}

main .container .container-form .payment-input-area input[type="text"] {
    width: 65px;
}

main .container .container-form .payment-input-area select {
    width: 65px;
}

main .container .container-form .payment-info-area ul{
    padding:0 0 0 15px;
}

main .container .container-form .payment-info-area ul li:not(:last-child){
    margin:0 0 5px 0;
}

main .container .container-form .payment-info-area ul li .creditcard-img{
    width:100%;
}

/****************************************************
*                  group-student                    *
*****************************************************/
main .container .container-form .group-student-info-area ul,
main .container .container-form .group-student-info-area ol {
    padding: 0 0 0 15px;
}

/****************************************************
*                     confirm                       *
*****************************************************/
main .container .container-form .payment-input-area .item-box {
    display: flex;
    align-items: center;
}

main .container .container-form .payment-input-area .item-box .item-name{
    padding:0 5px;
    width: calc(100% / 3);
    font-weight: bold;
}

main .container .container-form .payment-input-area .item-box .item-input{
    display: flex;
    padding:0 5px;
    width: calc((100% / 3)*2);
    align-items: flex-end;
    justify-content: flex-start;
}

main .container .container-form .payment-input-area .item-box .item-input .input-inner {
    width: auto;
}

@media (max-width: 767px) {
    main .container .container-form .payment-input-area .item-box{
        display: block;
    }

    main .container .container-form .payment-input-area .item-box .item-name{
        padding:0 10px;
        width: var(--width-100-pct);
    }
    
    main .container .container-form .payment-input-area .item-box .item-input{
        padding:0 10px;
        width: var(--width-100-pct);
    }

    main .container .container-form .payment-input-area .item-box .item-input .input-inner:not(:last-child) {
    margin: 0 5px 0 0;
    }
}

/****************************************************
*                      button                        *
*****************************************************/
.btn-item {
    display: flex;
    justify-content: center;
    align-items: center;
}

button {
    width: var(--width-button-pc);
    margin: 10px;
    padding: 10px;
    color: var(--color-white);
    background-color: var(--main-color);
    font-size: var(--font-base-size);
    border: var(--border-base-width) var(--border-base-style) var(--main-color);
    border-radius: var(--border-button-radius);
    cursor: pointer;
}

button.btn-submit {
    background-color: var(--accent-color);
    border: var(--border-base-width) var(--border-base-style) var(--accent-color);
}

button.btn-back {
    background-color: var(--color-gray);
    border: var(--border-base-width) var(--border-base-style) var(--color-gray);
}

.item-guide {
    display: flex;
    align-content: flex-end;
    flex-wrap: wrap;
    justify-content: flex-end;
}

.item-guide-btn{
    min-width: 150px;
    margin: 10px 0;
    padding: 10px;
    color: var(--color-white);
    background-color: var(--accent-color);
    border-radius: var(--border-section-radius);
    text-align: center;
    text-decoration: none;
    line-height: 1.25;
}

button:not([disabled]):hover {
    transition: opacity 0.5s;
    opacity: 0.7;
}

@media (max-width: 767px) {
    .btn-item{
        display: block;
        text-align: center;
    }

    .item-guide {
        width: var(--width-100-pct);
    }

    .item-guide-btn {
        display: block;
        width: var(--width-100-pct);
    }
}


/****************************************************
*                        a,link                          *
*****************************************************/
a,
.a-link {
    color: var(--color-link);
    text-decoration: underline;
    cursor: pointer;
}

a:hover,
.a-link:hover {
    transition: opacity 0.5s;
    opacity: 0.7;
    text-decoration: none;
}

.a-non-deco{
    color:var(--color-black);
    text-decoration:none;
}


/****************************************************
*                    item-input                     *
*****************************************************/
label{
    cursor: pointer;
}

.required {
    margin: 0 0 0 5px;
    color: var(--accent-color);
}

.bottom-comment{
    font-size: var(--font-small-size);
}

input[type='text'],
input[type='password'],
textarea,
select {
    padding: 10px;
    width: var(--width-100-pct);
    border: var(--border-base-width) var(--border-base-style) var(--color-gray);
    border-radius: var(--border-input-radius);
    background-color: #ffffff;
    font-size: var(--font-base-size);
    box-sizing: var(--box-sizing);
}

input[type='text']:focus,
input[type='password']:focus,
textarea:focus,
select:focus {
    outline-offset: -2px;
    outline-color: var(--color-blue);
    outline-style: var(--border-base-style);
    outline-width: calc(var(--border-base-width)*2);
}

select {
    padding: 10px 15px 10px 10px;
    background-image: url(../../img/select-icon.png);
    background-repeat: no-repeat;
    background-position: right 5px center;
    background-size: 10px 9px;
}

textarea {
    resize: none;
    min-height: 80px;
}

label {
    margin: 0 5px 0 0;
    display: inline-block;
}

input[type="radio"] {
    position: relative;
    width: 18px;
    height: 18px;
    margin: 0 3px 0 0;
    background-color: var(--color-white);
    border: 1px solid var(--color-gray);
    border-radius: 50%;
    vertical-align: -3px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="radio"]:checked:before {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 11px;
    height: 11px;
    border-radius: 50%;
    background-color: var(--main-color);
    content: '';
}

input[type="checkbox"] {
    position: relative;
    width: 18px;
    height: 18px;
    margin: 0 3px 0 0;
    background-color: var(--color-white);
    border: 1px solid var(--color-gray);
    border-radius: var(--border-input-radius);
    vertical-align: -3px;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input[type="checkbox"]:checked:before {
    position: absolute;
    top: 50%;
    left: 5px;
    transform: rotate(45deg);
    width: 5px;
    height: 9px;
    margin-top: -7px;
    border-right: var(--border-bold-width) var(--border-base-style) var(--main-color);
    border-bottom: var(--border-bold-width) var(--border-base-style) var(--main-color);
    content: '';
}

::placeholder{
    color: var(--color-gray);
}

/* ファイル型 */

input[type="file"]{
    display: none;
}

.type-file label {
    display: inline-block;
    position: relative;
    min-height: 30px;
    margin: 0 5px 5px 0;
    vertical-align: middle;
  }
  
  .type-file label:before {
    position: absolute;
    content: '';
    width: 165px;
    height: 30px;
    left: 0;
    top: 0;
    border-radius: 5px;
    background-color: var(--accent-color);
    background-image: url(../../img/input_file.png);
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
  }

  .type-file label:hover {
    transition: opacity 0.5s;
    opacity: 0.7;
}

span.file-name {
    display: inline-block;
    word-break: break-all;
    margin: 0 0 0 170px;
    vertical-align: middle;
}

.clear-btn{
    display: inline-block;
    vertical-align: middle;
    padding: 2.5px 5px;
    margin: 0 0 5px 0;
    border: var(--border-base-width) var(--border-base-style) var(--color-gray);
    border-radius: var(--border-input-radius);
    font-size: var(--font-small-size);
}

.clear-btn:hover{
    cursor: pointer;
    transition: opacity 0.5s;
    opacity: 0.7;
}

@media (max-width: 767px) {
    span.file-name {
        display: block;
        margin: 40px 0 0 0;
    }
}

/****************************************************
*                       popup                       *
*****************************************************/
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 100;
}

.popup .popup-bg {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: var(--color-black);
}

.popup .popup-inner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 80%;
    height: 80%;
    padding: 50px 15px 15px 15px;
    background-color: var(--color-white);
    border-radius: var(--border-button-radius);
    text-align: center;
}

.popup .popup-inner .popup-btn {
    display: inline-block;
    position: absolute;
    top: 10px;
    right: 15px;
    padding: 5px 15px;
    color: var(--font-color);
    background-color: var(--base-color);
    font-size: var(--font-small-size);
    border: var(--border-base-width) var(--border-base-style) var(--color-black);
    /* border-radius: var(--border-section-radius); */
    cursor: pointer;
}

.popup .popup-inner .popup-btn:hover {
    transition: opacity 0.5s;
    opacity: 0.7;
}

.popup .popup-inner .popup-img {
    max-width: var(--width-content-pc);
    max-height: 100%;
}

.popup .popup-inner .popup-scroll {
    overflow-y: scroll;
    height: 100%;
    max-width: 700px;
    margin: 0 auto;
    text-align: left;
}

@media (max-width: 767px) {
    .popup .popup-inner {
        width: 90%;
        height: 90%;
        display: flex;
        align-items: center;
    }

    .popup .popup-inner .popup-img {
        width: var(--width-100-pct);
    }

    .popup .popup-inner .popup-scroll {
        width: 95%;
    }
}

/****************************************************
*                    error area                   *
*****************************************************/
.container-err-area{
    margin: 5px 0;
    padding: 30px 15px;
    color: var(--accent-color);
    background-color: var(--color-bright-red);
}

.container-err-area .item-name{
    font-weight: bold;
}

.container-err-area p{
    font-weight: bold;
}

.container-err-area ul{
    margin: 0 0 0 15px;
}

.container-err-area ul li:not(:last-child){
    margin: 15px 0;
}

/****************************************************
*                    error text                    *
*****************************************************/

.form-error,.validationError{
    display: block;
    margin: 3px 0;
    color: var(--accent-color);
    font-weight: bold;
}

.formError{
    margin: 3px 0;
    color: var(--accent-color);
    font-weight: bold;
}

.form-error .label-warning, .formError .label-warning, .validationError .label-warning{
    margin: 0 5px 0 0;
    padding:1px 3px;
    border-radius:50%;
    color:var(--color-white);
    background-color: var(--accent-color);
    font-weight: bold;
}

.form-error .form-error-content, .formError .ss_error_msg, .validationError .ss_error_msg{
    font-weight: bold;
}

/****************************************************
*                       color                       *
*****************************************************/
.color-main{
    color: var(--main-color);
}

.color-base{
    color: var(--base-color);
}

.color-accent{
    color: var(--accent-color);
    font-weight: bold;
}

.color-font{
    color:var(--font-color);
}

/****************************************************
*                       eye-item dispPW             *
*****************************************************/
.eye-item {
	position: relative;
}

.dispPW {
    vertical-align: middle;
    position: absolute;
    top: 35%;
    right: 15px;
    cursor: pointer;
}

::-ms-reveal {
    display: none;
}

.change_password_change .eye-item,
.admin_change_password_change .eye-item {
    margin-top: 5px;
}